/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

:root {
  --color1: #ffffff;
  --color2: rgba(255,255,255,0);
  --color3: #1fb784;
  --color4: #01b2c2;
  --color5: #036939;
  --color6: #50ac47;
  --color7: #1f1f1f;
  --color8: #0e141a;
}


/* BADGE RECAPTCHA */
.grecaptcha-badge { display: none!important; }



/* SLIDE */
.dg_span_slide { font-weight: 800; text-decoration: underline; }


/* TAP TAP MENU */
.taptap-main { height: 100%!important; }
.taptap-main-inner-inner-toolbar { padding-top: 50px!important; padding-bottom: 0px!important; }
.taptap-main-menu-button div.taptap-main-menu-button-middle::before { content: " "!important; width: 50px!important; height: 50px!important; margin: 0px!important; background-color: transparent!important; position: absolute; top: 0px; right: 10px; background-repeat: no-repeat; background-position: center center; background-size: contain; }
.taptap-main-menu-button div.taptap-main-menu-button-middle::before { background-image: url("/wp-content/uploads/2022/12/icon_menu_white-01.svg"); }
.taptap-main-menu-button::before, .taptap-main-menu-button::after { width: 0px!important; height: 0px!important; }
.taptap-main-menu-button:hover div.taptap-main-menu-button-middle::before { background-image: url("/wp-content/uploads/2022/12/icon_menu_color-01.svg"); }
.taptap-menu-active .taptap-main-menu-button::before { width: 30px!important; height: 2px!important; -webkit-transform: translateY(9px) rotate(45deg)!important; transform: translateY(9px) rotate(45deg)!important; margin: 15px 0!important; }

.taptap-menu-active .taptap-main-menu-button::after { width: 30px!important; height: 2px!important; -webkit-transform: translateY(-9px) rotate(-45deg)!important; transform: translateY(-9px) rotate(-45deg)!important; }


/** TAP TAP MENU STICKY HOME **/
.taptap-main-menu-button div.taptap-main-menu-button-middle.dg_icon_menu_color::before { background-image: url("/wp-content/uploads/2022/12//icon_menu_color-01.svg"); }
.taptap-main-menu-button div.taptap-main-menu-button-middle.dg_icon_menu_white::before { background-image: url("/wp-content/uploads/2022/12/icon_menu_white-01.svg"); }



/* TAP TAP MEGAMENU */
.taptap-main-inner-inner-toolbar { padding-top: 0px!important; padding-bottom: 0px!important; }
.dg_menu_servizio .content-box-heading { font-weight: 600!important; }
.dg_menu_servizio p { font-size: 13px!important; }
.dg_menu_servizio .fusion-column.content-box-column { margin-bottom: 0px!important; }

.dg_menu_level1 { font-size: 26px; line-height: 50px; font-weight: 800; text-decoration: underline; }
.dg_menu_level2 { padding: 5px 0px!important; }
.dg_menu_level2 a { font-weight: 600!important; }

.taptap-main-inner-inner { padding-top: 0px!important; }
.taptap-widgets-wrapper { margin-top: 0px!important; padding: 0px 30px!important; }
.taptap-widgets-wrapper .widget { margin-top: 0px!important; }

.dg_menu_nolink:hover > a { pointer-events: none!important; cursor: pointer!important; }
.dg_menu_nolink:hover, .dg_menu_nolink:hover > a, .dg_menu_nolink:hover > a > span { color: var(--color8)!important; }



/* BODY */
.dg_h_thin > h1 span, .dg_h_thin > h2 span, .dg_h_thin > h5 span { font-weight: 700!important; }
.dg_span_color3 { font-weight: 800; color: var(--color3)!important; }
.dg_span_color4 { font-weight: 800; color: var(--color4)!important; }
.dg_span_color5 { font-weight: 800; color: var(--color5)!important; }

.dg_sfondo_numeri {
  background-image: url("/wp-content/uploads/2022/12/bg_data_2.jpg");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.dg_box_servizio .fusion-column.content-box-column { padding: 0px 20px!important; }
.dg_box_servizio .content-container { letter-spacing: 0px!important; }
.dg_div_servizi_home .dg_img_border_bottom > img {
  --c: var(--color5); /* the border color */
  --b: 8px;    /* the border thickness*/
  --g: 0px;     /* the gap on hover */
  
  padding: calc(var(--g) + var(--b));
  --_g: #0000 25%,var(--c) 0;
  background: 
    conic-gradient(from 180deg at top    var(--b) right var(--b),var(--_g))
     var(--_i,200%) 0  /200% var(--_i,var(--b))  no-repeat,
    conic-gradient(            at bottom var(--b) left  var(--b),var(--_g))
     0   var(--_i,200%)/var(--_i,var(--b)) 200%  no-repeat;
  transition: .3s, background-position .3s .3s;
}
.dg_div_servizi_home:hover .dg_img_border_bottom > img {
  --_i: 100%;
  transition: .3s, background-size .3s .3s;
}

#dg_img_border_connettivita > img { --c: var(--color5)!important; }
#dg_img_border_cloud > img { --c: var(--color6)!important; }
#dg_img_border_colocation > img { --c: var(--color3)!important; }
#dg_img_border_datacenter > img { --c: var(--color1)!important; }

.dg_div_servizi_home:hover .dg_box_servizio .heading-with-icon .image > img { border: 3px solid var(--color1)!important; }
.dg_div_servizi_home:hover .dg_menu_servizio .heading-with-icon .image > img { border: 3px solid #000!important; }
.dg_div_servizi_home:hover .dg_menu_servizio_datacenter .heading-with-icon .image > img { border: 3px solid var(--color4)!important; }


.dg_box_servizio .content-box-heading { font-weight: 600!important; }
.dg_box_servizio p { font-size: 13px!important; }
.dg_span_color1 { font-weight: 800; color: var(--color1)!important; }

.dg_counter_parlanodinoi .display-counter { text-decoration: underline; }

#dg_icon_datacenter { position: absolute; top: 140px; left: 150px; }
.dg_icon_form_lavora { position: absolute; right: 0; top: -60px; }

.dg_icon_title_azienda { margin-left: 20px; margin-top: -40px; }
.dg_icon_title_cert { max-width: 80px!important; }


.dg_img_sfondo_vision { margin-top: -750px; z-index: -1!important; }
.dg_img_sfondo_mission { margin-top: -1400px; z-index: -1!important; }
.dg_col_vision > .fusion-column-wrapper { background-color: #fff!important; }
.dg_col_mission > .fusion-column-wrapper { background-color: #fff!important; }

.fusion-sharing-box > h4 { font-size: 20px!important; }

.dg_box_servizio .content-container { font-size: 15px!important; }
.dg_btn_tab { padding: 10px 25px; background-color: var(--color8); color: var(--color1); border: 2px solid var(--color8);; }
.dg_btn_tab:hover { background-color: var(--color1)!important; color: var(--color8)!important; }
.dg_tabs.fusion-tabs.horizontal-tabs.clean .nav-tabs li > a { margin: 0px 5px!important; }
.dg_tabs.fusion-tabs.clean .nav-tabs li .tab-link { border: 0px solid!important; border-bottom: 5px solid var(--color5)!important; }

 
.page-id-53 #sliders-container { z-index: 9!important; }
.dg_cda_sottotitolo > span { border-bottom: 8px solid var(--color4); padding-bottom: 5px; font-size: 20px; font-weight: 600; }
.dg_sfondo_right_contain { background-size: contain!important; background-position: right center!important; }

.dg_10punti h5 { font-weight: 600!important; text-decoration: underline; }

.dg_contatti_numeroverde > img { width: 220px; height: auto; }

.fusion-text a, .panel-body a { font-weight: 600; color: var(--color4)!important; }

.fusion-footer p { font-size: 15px!important; }
#text-4 { padding-right: 50px!important; }



/* PRIMA-DURANTE-DOPO */
.dg_span_small { position: absolute; left: 115px; top: 60px; font-weight: 500; }
.fusion-page-title-bar { border-top: 0px solid!important; }
.dg_single_block_prefooter { height: 15vw; }
.dg_single_block_prefooter h4 { margin-bottom: 10px!important; }



/* SIDEBAR */
.menu-menu-pagine-informative-sx-container > ul > li { border-bottom: 0px solid!important; color: var(--color8)!important; padding: 0px!important; margin-bottom: 15px!important; }
.fusion-widget-area .menu-menu-pagine-informative-sx-container > ul > li > a::before { content: ""!important; }
.fusion-widget-area .menu-menu-pagine-informative-sx-container > ul > li > a { color: var(--color8); font-size: 20px; border-bottom: 8px solid var(--color3)!important; padding-bottom: 5px; }
.menu-menu-pagine-informative-sx-container .sub-menu { margin-left: 20px!important; }
#menu-menu-pagine-informative-sx ul.sub-menu > li { padding: 5px!important; }
.menu-menu-pagine-informative-sx-container > ul > li.current_page_item > a { font-weight: 600; border-color: var(--color5)!important; color: var(--color8)!important; }
.fusion-widget-area .menu-menu-pagine-informative-sx-container > ul > li:hover > a { border-color: var(--color5)!important; }
#menu-menu-pagine-informative-sx ul.sub-menu > li > a::before { content: "\f45c"!important; font-family: "Font Awesome 5 Free"; font-weight: 900; margin-left: -25px; color: var(--color3)!important; }
#menu-menu-pagine-informative-sx ul.sub-menu > li > a { padding-left: 20px!important; }
#menu-menu-pagine-informative-sx ul.sub-menu > li.current_page_item > a { font-weight: 600; color: var(--color8)!important; }
#menu-menu-pagine-informative-sx ul.sub-menu > li > a { letter-spacing: -0.05em; }



/* CASE HISTORY / BLOG */

.archive.category .fusion-page-title-captions { display: none; }

.dg_blog_storie .fusion-post-content-wrapper { padding: 10px 0px!important; }
.dg_blog_storie .blog-shortcode-post-title { font-size: 22px!important; font-weight: 600!important; }
.dg_blog_storie .fusion-post-content-container { font-size: 14px!important; }
.single-post .avada-page-titlebar-wrapper { display: none; }
.single-navigation { border: 0px solid!important; }
.widget_recent_entries ul { padding: 0px 15px!important; }
.single-post .fusion-content-widget-area .widget li { font-size: 14px; line-height: 20px!important; border-bottom: 0px solid!important; }
.single-post .fusion-content-widget-area .widget li a { color: #ffffff!important; }
.single-post .fusion-content-widget-area .widget li:hover > a { color: #ffffff!important; text-decoration: underline; }
.fusion-widget-area .widget_recent_entries li a::before { color: #ffffff!important; }
.fusion-widget-area .widget_recent_entries li:hover a::before { color: #ffffff!important; }
.fusion-sidebar-right.fusion-blogsidebar { margin-top: -25px!important; }
.fusion-sidebar-inner-content { padding-top: 10px!important; }
.sidebar .widget .heading .widget-title, .sidebar .widget .widget-title { margin-top: 0px!important; margin-bottom: 10px!important; }
.avada-blog-archive-layout-grid .fusion-blog-archive .fusion-blog-layout-grid .post .fusion-post-content-wrapper { padding-right: 0px !important; padding-left: 0px!important; }
.avada-blog-archive-layout-grid .fusion-blog-archive .fusion-blog-layout-grid .post .fusion-post-content-wrapper h2 { line-height: 24px !important; }
.avada-blog-archive-layout-grid .fusion-blog-archive .fusion-blog-layout-grid .post .fusion-post-content-wrapper h2 > a { font-size: 20px !important; font-weight: 600; }
.fusion-post-grid .fusion-post-content-container a { font-style: italic; font-size: 12px; }



/* NINJA TABLES */
.ntb_table_wrapper .single-item.other-item a { text-decoration: underline; }
.ntb_table_wrapper table tr > td { vertical-align: middle!important; }


/** CONTACT FORM **/
.container-form { width: 100%; padding: 0px!important; display: inline-block!important; margin-bottom: 20px!important; }
.wpcf7-form-control.wpcf7-submit { background: var(--color8)!important; color: var(--color1)!important; width: 100%!important; padding: 8px 15px!important; border: 2px solid var(--color8)!important; text-transform: uppercase!important; font-weight: 700!important; font-size: 16px!important; border-radius: 0px!important; }
.wpcf7-form-control.wpcf7-submit:hover { background: var(--color4)!important; border: 2px solid var(--color4)!important; color: var(--color1)!important; }
.wpcf7-form-control.wpcf7-acceptance { margin-top: 0!important; }
.contact-form input[type="checkbox"] { margin-bottom: 5px!important; }
.wpcf7-form-control { color: var(--color8)!important; }
.wpcf7-select-parent .select-arrow { border-radius: 0px!important; }
.wpcf7-form p { font-size: 14px!important; margin-bottom: 0px!important; }

.wpcf7-list-item { margin-left: 0px!important; }

input[type=text], input[type=email], input[type=tel], textarea, .wpcf7-select {
  border: 0px solid!important;
  -webkit-transition: all 0.30s ease-in-out;
  -moz-transition: all 0.30s ease-in-out;
  -ms-transition: all 0.30s ease-in-out;
  -o-transition: all 0.30s ease-in-out;
  outline: none;
  padding: 10px 2%!important;
  height: 40px!important;
  border-bottom: 1px solid var(--color8)!important;
  margin-bottom: 15px!important;
  border-radius: 0px !important;
  background-color: transparent!important;
}


.wpcf7-select-parent .select-arrow { border-left: 0px solid!important; border-bottom: 1px solid var(--color5)!important; font-size: 20px!important; }

.wpcf7-form-control.wpcf7-select { margin-bottom: 20px; }

textarea { resize: none; height: 150px!important; }

span.wpcf7-not-valid-tip { font-size: 12px!important; }

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  font-size: 14px;
  color: var(--color8)!important;
  font-weight: 600;
}
::-moz-placeholder { /* Firefox 19+ */
  font-size: 14px;
  color: var(--color8)!important;
  font-weight: 600;
}
:-ms-input-placeholder { /* IE 10+ */
  font-size: 14px;
  color: var(--color8)!important;
  font-weight: 600;
}
:-moz-placeholder { /* Firefox 18- */
  font-size: 14px;
  color: var(--color8)!important;
  font-weight: 600;
}

.dg-btn-invia { margin-top: 20px!important; }

.select-arrow { background-color: #fff!important; color: #7f9caf!important; }



/* IUBENDA */
#iubenda_policy h2 { font-size: 17px!important; }


/* FOOTER */
.fusion-footer h4 { font-size: 20px!important; }
.fusion-footer ul.menu > li { padding-bottom: 5px!important; padding-top: 0px!important; border-bottom: 0px solid!important; }
.fusion-footer ul.menu > li > a { color: var(--color1)!important; }
.fusion-footer ul.menu > li:hover > a { color: var(--color4)!important; }
.fusion-footer .widget_nav_menu { padding-left: 20%; }

#dg_foot_logo { text-align: center; display: block; margin-bottom: 50px; }
#dg_foot_logo > img { max-width: 40px; height: auto; }

.dg_pre_copyright > img { max-width: 150px; height: auto; margin-bottom: 10px; }
.dg_copyright_dream { display: inline-block; float: right; }
.dg-firma > img { max-width: 22px; position: relative; display: inline-block; vertical-align: middle; padding-right: 3px; }



/* RESPONSIVE */
@media only screen and (max-width: 1400px) {
	
	.ls-text-layer.ls-layer { font-size: 28px!important; }
	.dg_sottotitolo_slide.ls-text-layer.ls-layer { font-size: 16px!important; }
	.dg_single_block_prefooter h4 { margin-top: 0px!important; }
	.dg_single_block_prefooter p { font-size: 14px!important; }
	.dg_titolo_primadurantedopo img { position: absolute; top: -60px; }
	.dg_span_small { position: relative!important; left: 0px!important; top: 0px!important; }
	
}


@media only screen and (max-width: 900px) {
	
	.fusion-sticky-logo { max-width: 220px; height: auto!important; }
	.taptap-menu-button-wrapper.wp-toolbar-active.taptap-menu-active { margin-top: 0px!important; }
	
	.avada-blog-archive-layout-grid .fusion-blog-archive .fusion-blog-layout-grid .post .fusion-post-content-wrapper h2 > a { font-size: 18px!important; line-height: 20px!important; }
	
	.dg_menu_servizio h2.content-box-heading { font-size: 15px!important; }
	.dg_menu_servizio.fusion-content-boxes .heading img { width: 15px!important; margin-right: 10px; }
	.dg_menu_level1 { font-size: 16px!important; line-height: 30px!important; }
	.dg_menu_level2 a { font-size: 12px!important; }
	
	.fusion-title.fusion-title-center.fusion-sep-none .title-heading-center { font-size: 30px!important; }
	.fusion-carousel .fusion-carousel-wrapper { padding: 8px 0px 40px 0px!important; }
	.fusion-carousel-nav { position: absolute!important; bottom: 20px!important; right: 20px; width: 60px; }
	.fusion-nav-next.awb-icon-right { left: 40px!important; }
	.fusion-carousel .fusion-carousel-nav .fusion-nav-next, .fusion-carousel .fusion-carousel-nav .fusion-nav-prev { background-color: #000!important; opacity: 1!important; }
	.dg_titolo_primadurantedopo h3 { font-size: 18px!important; }
	.dg_titolo_primadurantedopo h3 img { position: absolute; top: -45px; max-width: 50px!important; }
	.dg_span_small { position: relative!important; left: auto!important; top: auto!important; }
	#dg_icon_datacenter { position: absolute; top: 150px; left: auto; max-width: 100px; right: 20px; }
	h4.title-heading-center { font-size: 30px!important; }
	h1.title-heading-center { font-size: 30px!important; }
	h2.content-box-heading { font-size: 22px!important; }
	h5.title-heading-left { font-size: 34px!important; }
	.dg_span_color1 img { max-width: 60px!important; }
	.content-box-percentage.content-box-counter { font-size: 40px!important; }
	.dg_counter_parlanodinoi .counter-box-content { font-size: 15px!important; line-height: 20px; }
	.dg_h_thin h5.title-heading-left { font-size: 16px!important; }
	h3.title-heading-left { font-size: 28px!important; }
	h4.title-heading-left { font-size: 20px!important; }

	#col_governance_cda img { max-width: 200px!important; }
	.dg_cda_sottotitolo > span { padding-bottom: 5px!important; }
	.dg_text_cda { margin-bottom: 20px!important; }
	.fusion-widget-area .menu-menu-pagine-informative-sx-container > ul > li > a { color: var(--color8)!important; font-size: 15px!important; border-bottom: 5px solid var(--color3)!important; padding-bottom: 0px!important; }
	#menu-menu-pagine-informative-sx ul.sub-menu > li > a::before { font-size: 12px!important; }
	#menu-menu-pagine-informative-sx ul.sub-menu > li > a { padding-left: 0px!important; }
	#menu-menu-pagine-informative-sx ul.sub-menu > li { font-size: 14px!important; line-height: 20px!important; }
	
	
	.fusion-title h1.title-heading-left { font-size: 26px!important; }
	
	.post h2.entry-title.fusion-post-title { font-size: 26px!important; }
	.single-post .fusion-sidebar-inner-content { margin-top: 60px!important; }

		
	.fusion-footer .widget_nav_menu { padding-left: 0px!important; }

	
}



@media only screen and (max-width: 640px) {
	
	.taptap-widgets-wrapper { padding: 0px!important; }
	
	.taptap-widgets-wrapper .dg_div_servizi_home { height: 50px!important; }
	.dg_container_megamenu { padding: 0px!important; border-top: 50px solid #000!important; }

	.taptap-widgets-wrapper .dg_div_servizi_home .fusion-content-layout-column.fusion-column-wrapper { padding: 5px 20px!important; }
	.dg_menu_servizio h2.content-box-heading { font-size: 16px!important; }
	.dg_menu_level2 a { font-size: 15px!important; }

	#dg_h_parlanodinoi { font-size: 28px!important; max-width: 200px; margin: 0 auto !important; }
	.fusion-title.fusion-title-center.fusion-sep-none .title-heading-center { font-size: 26px!important; }
	.dg_img_datacenter_home { margin-top: -50px!important; }
	
	.fusion-blog-shortcode.fusion-blog-shortcode-1 .entry-title { font-size: 16px!important; }
	#dg_icon_datacenter { position: absolute; top: 120px; left: auto; max-width: 70px; right: 20px; }
	h4.title-heading-center { font-size: 20px!important; }
	h1.title-heading-center { font-size: 24px!important; }
	.dg_span_color1 img { max-width: 60px!important; position: absolute; top: -60px; right: 0px; }
	.dg_counter_parlanodinoi .counter-box-content { font-size: 20px!important; }
	.dg_h_thin h5.title-heading-left { font-size: 18px!important; }
	
	.dg_img_cert_csq > img { max-width: 150px!important; }
	
	.dg_span_color4 img { position: absolute; right: 0; top: 0px; max-width: 60px!important; }
	h1.title-heading-left { font-size: 34px!important; }
	h3.title-heading-left { font-size: 24px!important; margin-bottom: 30px!important; }
	h3.title-heading-left img { position: absolute; right: 0; top: -50px; max-width: 50px; }
	.dg_cda_sottotitolo > span { border-bottom: 0px solid var(--color4)!important; padding-bottom: 0px!important; }
	
	.dg_sfondo_right_contain { background-image: none!important; }
	
	.tab-content .tab-pane { font-size: 14px!important; padding: 10px!important; margin-top: 0px!important; }
	
	.page-id-305 .fusion-page-title-captions, .page-id-764 .fusion-page-title-captions { display: none; }
	
	.fusion-page-title-bar h1 { font-size: 34px!important; }
	
	.post h2.entry-title.fusion-post-title { font-size: 20px!important; }
	
	.fusion-blog-shortcode.fusion-blog-shortcode-1 .entry-title { font-size: 16px!important; }
	
	.dg_container_sidebar_sx > .fusion-builder-row { display: flex!important; flex-direction: column-reverse!important; }
	.dg_icon_sidebar { margin-top: 100px!important; }
	.ntb_table_wrapper { width: 100%!important; margin: 0px!important; }
	.fusion-text h4 { font-size: 18px!important; }
	.ntb-datas-wrapper > span { font-size: 12px!important; }
	
	.dg_titolo_primadurantedopo p { font-size: 22px; }
	
	.post-content h3 { font-size: 22px!important; }
	
	.single-navigation { margin-bottom: 20px!important; }
	.single-navigation > a:first-child { float: left!important; }
	.single-navigation a[rel="next"] { margin-right: 0px!important; }
	
	
	.dg_copyright_dream { float: none!important; margin-top: 10px!important; }
	.dg_pre_copyright { text-align: center!important; }
	
	#dg_foot_logo { display: none!important; }
	.fusion-footer .fusion-columns > .fusion-column:nth-child(2) { display: none!important; }
	
	
}

